: Class PdfParser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj
Class PdfParser

    java.lang.Object
      |
      +--com.etymon.pj.PdfParser

public class PdfParser
extends java.lang.Object

Constructor Summary
`PdfParser()`

Method Summary
`static void` | `getObjects(Pdf pdf, java.io.RandomAccessFile raf)`
`static PjObject` | `parse(Pdf pdf, java.io.RandomAccessFile raf, long[][] xref, byte[] data, int start)`
`static void` | `parseXref(byte[] data, long[][] xref, int start)`
`protected static java.lang.String` | `readLine(java.io.RandomAccessFile raf)`
`static byte[]` | `readUntil(java.io.RandomAccessFile raf, java.lang.String endstr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfParser

    public PdfParser()

Method Detail

### getObjects

    public static void getObjects(Pdf pdf,
                                  java.io.RandomAccessFile raf)
                           throws java.io.IOException,
                                  PjException

### readUntil

    public static byte[] readUntil(java.io.RandomAccessFile raf,
                                   java.lang.String endstr)
                            throws java.io.IOException

### readLine

    protected static java.lang.String readLine(java.io.RandomAccessFile raf)
                                        throws java.io.IOException

### parseXref

    public static void parseXref(byte[] data,
                                 long[][] xref,
                                 int start)
                          throws XrefFormatException

### parse

    public static PjObject parse(Pdf pdf,
                                 java.io.RandomAccessFile raf,
                                 long[][] xref,
                                 byte[] data,
                                 int start)
                          throws java.io.IOException,
                                 PjException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD